//加载行为逻辑,需要jQuery库
jQuery(document).ready(function(){
    //根据锚点定位图片
    var url = getHref();
    var pos = url.indexOf("#id=");
    if (pos != -1) {
        var id = parseInt(url.substr(pos + 4)-1);
        if (id > 0) {
            changeImg(id);
        }
    }
    //速度控制
    jQuery("input[name='ppt_speed']").each(function(){
      jQuery(this).click(function(){
        if (jQuery(this).attr('id') == 'auto_play_button'){
          if(autoPlayer) autoPlayer.play();
        }else if (jQuery(this).attr('id') == 'ppt'){
          if(autoPlayer) autoPlayer.stop();
        }else{
          if(autoPlayer) {
              autoPlayer.set_speed(jQuery(this).val());
              if (autoPlayer._flag == 0)autoPlayer.start();
          }
        }
      });
    });
    //增加鼠标，移进、移出、点击事件
    jQuery('#on_img').mouseover(function(){
        if (autoPlayer && autoPlayer._pause == 0) autoPlayer.pause();
        jQuery(this).css('cursor','pointer');
    }).mouseout(function(){
        if (autoPlayer && autoPlayer._pause == 1) autoPlayer.resume();
        jQuery(this).css('cursor','auto');
//        jQuery('#prevPhotoCursor,#nextPhotoCursor').hide();
    }).mousemove(function(e){
        var img = jQuery('#on_img');
        var direction = (e.pageX - img.offset().left)/img.width()>0.5;
        if (direction){
            jQuery(this).css('cursor','url('+'http://www1.pcauto.com.cn/2009/price/img/right.cur'+'),auto');
        }else{
            jQuery(this).css('cursor','url('+'http://www1.pcauto.com.cn/2009/price/img/left.cur'+'),auto');
        }
    }).click(function(e){
        var direction = (e.pageX - jQuery(this).offset().left)/jQuery(this).width()>0.5;
        changePic(direction);
    });
    jQuery("#on_img").bind('load',function(){
        if (autoPlayer) autoPlayer.next();
        if (preloadPhoto) preloadPhoto();
    });
    if (loaded == 1) {
        if (autoPlayer) autoPlayer.next();
        if (preloadPhoto) preloadPhoto();
    }

    //左右滚动按钮事件
//    jQuery('#leftSlide').attr('href','javascript:slide(false);');
    jQuery('#leftSlide').click(function(){
        slide(false);
    });
//    jQuery('#rightSlide').attr('href','javascript:slide(true);');
    jQuery('#rightSlide').click(function(){
        slide(true);
    });

    //显示播放速度
    if (autoPlayer) {
        if (jQuery('#ppt').length > 0) {
            if (autoPlayer._flag == 1) {
                jQuery("#ppt_"+autoPlayer.get_speed()).attr('checked',true);
            }else {
                jQuery("#ppt").attr('checked',true);
            }
        }else {
            jQuery("#ppt_"+autoPlayer.get_speed()).attr('checked',true);
        }
    }
});